---
title: "IndieAuth mittels GPG/PGP"
author: ""
date: 2021-05-14T11:38:53+02:00
categories:
tags:

draft: false
description: "Ich habe IndieAuth wiederentdeckt und wollte es endlich selbst ausprobieren."
---

Ich habe [IndieAuth](https://indieweb.org/IndieAuth) wiederentdeckt und wollte es endlich selbst ausprobieren.

Als Authentifizierungsmethode entschied ich mich für [meinen öffentlichen GPG-Schlüssel](/gpg), da er ohnehin öffentlich ist und es außerdem super spannend und neu für mich ist (da ich noch nie zuvor etwas auf der Konsole signiert habe).

Nach ein wenig herumprobieren kam ich schließlich auf folgende Lösung:

`gpg --clearsign --default-key name@beispiel.tld gpgnachricht.txt`

Natürlich ist diese Variante nicht perfekt. Unter anderem muss ich die zu signierende Nachricht zunächst in eine separate Datei schreiben und die fertige Nachricht wird anschließend in eine neue Datei mit der Endung `.asc` gelegt. Es wäre natürlich viel angenehmer, wenn ich beides direkt auf der Konsole erledigen könnte, ohne lästige Zwischenschritte.
